// double margin = MarketInfo**************
// double leverage = NormalizeDouble((Bid/ (margin/100))*1000,0);
 
// Kicks in when position reaches at least TrailingStop pips of profit.

extern string LabelPips = "Value in Pips";
extern double TrailingStart = 10; 
extern double TrailingStop = 5;
 
// Set it to some value above 0 to activate Hedge
extern double Hedge = 10;
extern double Multiplier = 3;

int init()
{
   return(0);
}
 
int deinit()
{
   return(0);
}
 
int start()
{
  double lots;
  for (int i = 0; i < OrdersTotal(); i++) 
  {
      OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
      MarketInfo(OrderSymbol(), MODE_POINT);
      MarketInfo(OrderSymbol(), MODE_BID);
      
      double Pip = Point*10;
      
      //calculate new lotsize of hedge based on lotsize of current open trade*Multiplier
      lots = NormalizeDouble(OrderLots() * Multiplier, 2);      
       
      if (OrderType() == OP_BUY)
      {
         if (Bid - OrderOpenPrice() > TrailingStart*Pip)
         {
            if (OrderStopLoss() < Bid - TrailingStop*Pip)
            {
               if (!OrderModify(OrderTicket(), OrderOpenPrice(), Bid - TrailingStop*Pip, OrderTakeProfit(), OrderExpiration(), clrNONE))
                  Print("Error setting Buy trailing stop: ", GetLastError());
            }
         }
       }
      else if (OrderType() == OP_SELL)
      {
         if (OrderOpenPrice() - Ask > TrailingStart*Pip)
         {
            if ((OrderStopLoss() > Ask + TrailingStop*Pip) || (OrderStopLoss() == 0))
            {
               if (!OrderModify(OrderTicket(), OrderOpenPrice(), Ask + TrailingStop*Pip, OrderTakeProfit(), OrderExpiration(), clrNONE))
                  Print("Error setting Sell trailing stop: ", GetLastError());
            }
         }
       }   
	}
 
   return(0);
}